import java.util.*;
import java.io.*;

public class MakeRandomData {

    public static void main(String[] args) throws IOException {
	if (args.length == 0){
	    System.out.println("numberOfObjects capacity maxValue maxWeight");
	    return;
	}
	int n         = Integer.parseInt(args[0]); // number of items
	int capacity  = Integer.parseInt(args[1]); // knapsack capacity
	int maxValue  = Integer.parseInt(args[2]); // maximum value of an item
	int maxWeight = Integer.parseInt(args[3]); // maximum weight of an item
	Random gen    = new Random();

	System.out.println("n = "+ n +";");
	System.out.println("capacity = "+ capacity +";");
	System.out.print("weight = ["+ (1 + gen.nextInt(maxWeight)));
	for (int i=1;i<n;i++) System.out.print(","+ (1 + gen.nextInt(maxWeight)));
	System.out.println("];");
	System.out.print("value = ["+ (1 + gen.nextInt(maxValue)));
	for (int i=1;i<n;i++) System.out.print(","+ (1 + gen.nextInt(maxValue)));
	System.out.println("];");
    }
}
